Subject: Re: [OPSAWG] Network configuration in large scale IP infrastructure

From: Tina TSOU <[email-masked]>
Date: Tue, 15 Dec 2009 19:28:46 +0800

Hi Yang,
Thank you for your suggestion.

I have gone through RFC 5415. Section 3.3 has some relationship with  
my problems. But the precondition is IP reachable between WTP and AC.  
This reachability should be pre-configured, especially when there are  
one or more L3 devices in the middle of the WTP and AC.

DHCP is used in this document to discover AC IP addresses, but the  
precondition should be that there is a Layer 3 tunnel between DHCP  
relay and AC. It is not clear in this document how this tunnel is setup.

The problem I hope to solve in the large scale IP infrastructure is  
plug & play for all the L2/L3 devices in the network (the first step)  
and the service can be auto configured in the future.

The scope of the problem can be narrowed from the bearer network  
device to network edge, e.g., low-end router/packet transport device/ 
LAN Switch. It can be complement to the existing zero configuration/ 
plug and play in CAPWAP or xDSL. In xDSL case, for example, modem can  
be implemented by zero configuration. If my problem is solved, DSLAM  
can achieve plug and play as well.

B. R.
Tina
http://tinatsou.weebly.com/contact.html

> ----- Original Message -----
> From: young
> To: 'Tina TSOU'
> Cc: [email-masked] ; 'Juergen Schoenwaelder'
> Sent: Monday, December 07, 2009 1:46 PM
> Subject: 答复: [OPSAWG] Network configuration in IP network
>
>     Hi, Tina:
>
>     I suggest you go through the CAPWAP (RFC5415) to check whether
>     it is able to meet your most requirement.
>     It may help us to understand the problem to resolve and narrow  
> the scope
> of the problem.
>
>     At present, please ignore the RFC5415 only support 802.16,  
> 802.11, and no support
> on the LTE.
>
>     Regards　
> 　　Richard
>
> -----邮件原件-----
> 发件人: [email-masked] [mailto:[email-masked]]  
> 代表 Tina TSOU
> 发送时间: 2009年12月7日 12:07
> 收件人: Juergen Schoenwaelder
> 抄送: [email-masked]
> 主题: Re: [OPSAWG] Network configuration in IP network
>
> Hi Juergen,
> draft-tsou-network-configuration-problem-statement-00 was presented  
> to the
> OPSAWG in Hiroshima, but the question came back: what am I asking  
> the OPSAWG
> to do? Having thought about it a bit, I've decided that I'm really  
> looking
> for a protocol that would function like BOOTP or DHCP, but would  
> work for
> routers being added in a large-scale network deployment. I'm  
> continuing to
> investigate the issue, but since DHCP belongs to Internet Area, it  
> seems logical
> that any further discussions take place in that Area.
> I will keep you updated.
>
>
> B. R.
> Tina
> http://tinatsou.weebly.com/contact.html
> ----- Original Message -----
> From: Juergen Schoenwaelder
> To: Tina TSOU
> Cc: [email-masked]
> Sent: Wednesday, December 02, 2009 1:57 PM
> Subject: Re: [OPSAWG] Network configuration in IP network
>
> On Wed, Dec 02, 2009 at 04:37:54AM +0100, Tina TSOU wrote:
>
> > The basic problem the document raises is that the cost of  
> bootstrapping IP
> > network nodes (i.e. provisioning an initial IP address and mask  
> and associating
> > it with a device identity) in a large-scale IP network so that  
> they can be
> > managed from a central point can be very high. Frequently the  
> nodes themselves
> > are reached through another operator's network. This is an  
> operations problem,
> > although it may require additional protocol solutions, so I  
> thought it would be
> > sensible to bring it to OAM Area first. A potential breakdown of  
> the work we had
> > in mind goes like this:
> >
> > 1) Survey of methods for plug-and-play bootstrapping of network  
> nodes.
> >
> > 2x, y, z ...) Applicability of method x, y, z for plug-and-play  
> bootstrapping of
> > network nodes
> >    -- limitations on network topology
> >    -- other constraints on network deployment
> >    -- operational considerations.
> >
> > 3) If a new method is required: a description of the requirements.
> >     We're into BOF territory if we get this far, and maybe not in  
> the OAM Area.
>
> So I probably have to wait until 1) and 2x, y, z) has been written to
> fully understand the problem.
>
> /js
>
> -- 
> Juergen Schoenwaelder           Jacobs University Bremen gGmbH
> Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
> Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>
>